<!DOCTYPE html>
<html>
<head>
	<title>HandleBars</title>
	<script src="handlebars-v4.7.6.js"></script>
</head>
<body>
<div id="someInfo"></div>


<script id="example-template" type="text/x-handlebars-template">
 example 1 <br />
   <h3> {{name}} </h3>
    <ol>
   
    {{#each langs}}
      <li>{{lang}}</li>
    {{/each}}
    </ol>


  example 2<br />
     {{{me}}}<br /><br />
 

 
   example 3<br />
     {{sayHello}}
 
  </script>


<script type="text/javascript">
 
  var quoteInfo = document.getElementById("example-template").innerHTML;
 
  var template = Handlebars.compile(quoteInfo);
  
  Handlebars.registerHelper("sayHello", function(options){
    switch(options.data.lang){
      case "spanish":
        return "Hola";
        break;
      case "french":
        return "Bonjour";
        break;
      default:
        return "Hello";
    }
  });
 
// example 1
  var quoteData = template({
    name: "Lists of languages",
   langs: [
      {lang: "JS"},
      {lang: "PHP"},
      {lang: "C++"},
      {lang: "Assambly"}
    ],
 //example 2
    me: 'P.S. <i> I hate you. :)</i>'
  }
// example 3
  , {data: {
    lang: "french"
  }
  });
 
  document.getElementById('someInfo').innerHTML += quoteData;
 
  </script>
</body>
</html>